<?xml version="1.0" encoding="UTF-8"?>
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="fr" xml:id="getfield">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>getfield</refname>
    <refpurpose>  extraction d'un champ d'une liste  </refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Séquence d'appel</title>
    <synopsis>[x,...]=getfield(i,l)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Paramètres</title>
    <variablelist>
      <varlistentry>
        <term>x  </term>
        <listitem>
          <para>matrice de tout type
</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>l  </term>
        <listitem>
          <para>variable de type list, tlist ou mlist
</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>i  </term>
        <listitem>
          <para>indice du champ, voir <literal>extraction</literal> pour plus de détails
</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>
    Cette fonction est un équivalent de la syntaxe <literal>[x,...]=l(i)</literal> pour l'extraction de champs avec la seule différence qu'elle s'applique aussi aux objets de type <literal>mlist</literal>.
  </para>
  </refsection>
  <refsection>
    <title>Exemples</title>
    <programlisting role="example"><![CDATA[ 
l=list(1,'qwerw',%s)
[a,b]=getfield([3 2],l)

a=hypermat([2,2,2],rand(1:2^3));// les hypermatrices sont stockées dans des mlist
a(1) // le terme a(1,1,1)
getfield(1,a) // le premier champ de la mlist
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>Voir Aussi</title>
    <simplelist type="inline">
      <member>
        <link linkend="extraction">extraction</link>
      </member>
    </simplelist>
  </refsection>
</refentry>
